Bug 212164 - Can't completely delete a GNOME panel icon's comment
Can't completely delete a GNOME panel icon's comment
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-10-25 09:37 EDT by Richard Lloyd
Modified: 2008-06-16 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Lloyd 2006-10-25 09:37:53 EDT
Description of problem:
It seems that I'm unable to completely delete a comment from an icon on the
GNOME panel in FC6 (so that the tooltip for the icon is only one line high -
containing the app name only - rather than two lines high). I'm on 64-bit FC6,
but this is probably happening on 32-bit FC6 as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right click on an icon in the GNOME panel and select Properties.
2. Completely delete all characters (including spaces) from the Comment: field.
3. Click on Close and then hover the mouse over the relevant icon to bring up
the tooltip.
Actual results:
Both the application name *and* the original comment (prior to its supposed
deletion) are shown by the icon tooltip.

Expected results:
Only the application name should be shown once the icon's comment is deleted.

Additional info:
You can use a single space for the comment to make it "disappear", but this
still leaves two lines being shown by the tooltip (once of which contains a
single space of course), so it's not a good workaround.
Comment 1 Ignacio Vazquez-Abrams 2007-07-23 05:45:10 EDT
Just tossing a "me too" on this and updating it.

Launchers on the desktop work fine; it's only panel launchers this happens to.

Comment 2 Matthias Clasen 2007-07-24 13:25:46 EDT
I have fixed an issue that caused this in rawhide.
There must be a different issue on F7, I guess.
Comment 3 Bug Zapper 2008-05-14 08:03:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:14:08 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.